<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.goafanti.common.dao.DemandCollectionMapper">
  <resultMap id="BaseResultMap" type="com.goafanti.common.model.DemandCollection">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
      This element was generated on Thu Jul 23 09:20:14 CST 2020.
    -->
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="dwmc" jdbcType="VARCHAR" property="dwmc" />
    <result column="dwxz" jdbcType="INTEGER" property="dwxz" />
    <result column="dwxz_value" jdbcType="VARCHAR" property="dwxzValue" />
    <result column="htly" jdbcType="VARCHAR" property="htly" />
    <result column="ssszp" jdbcType="INTEGER" property="ssszp" />
    <result column="ssszc" jdbcType="INTEGER" property="ssszc" />
    <result column="sssza" jdbcType="INTEGER" property="sssza" />
    <result column="ssyq" jdbcType="VARCHAR" property="ssyq" />
    <result column="yysjjyspt" jdbcType="INTEGER" property="yysjjyspt" />
    <result column="yysjjyspt_value" jdbcType="VARCHAR" property="yysjjysptValue" />
    <result column="frdb" jdbcType="VARCHAR" property="frdb" />
    <result column="tyshxydm" jdbcType="VARCHAR" property="tyshxydm" />
    <result column="jjgm" jdbcType="VARCHAR" property="jjgm" />
    <result column="rygm" jdbcType="VARCHAR" property="rygm" />
    <result column="clsj" jdbcType="VARCHAR" property="clsj" />
    <result column="zczb" jdbcType="VARCHAR" property="zczb" />
    <result column="txdz" jdbcType="VARCHAR" property="txdz" />
    <result column="yb" jdbcType="VARCHAR" property="yb" />
    <result column="lxr" jdbcType="VARCHAR" property="lxr" />
    <result column="lxdh" jdbcType="VARCHAR" property="lxdh" />
    <result column="email" jdbcType="VARCHAR" property="email" />
    <result column="zyywjhxcp" jdbcType="VARCHAR" property="zyywjhxcp" />
    <result column="ndxmzyywsr18" jdbcType="DECIMAL" property="ndxmzyywsr18" />
    <result column="ndxmjlr18" jdbcType="DECIMAL" property="ndxmjlr18" />
    <result column="ndxmzyywsr19" jdbcType="DECIMAL" property="ndxmzyywsr19" />
    <result column="ndxmjlr19" jdbcType="DECIMAL" property="ndxmjlr19" />
    <result column="ndyftr" jdbcType="INTEGER" property="ndyftr" />
    <result column="ndyftrzyysrbl" jdbcType="INTEGER" property="ndyftrzyysrbl" />
    <result column="sfchyhdk" jdbcType="INTEGER" property="sfchyhdk" />
    <result column="sfchyhdk_value" jdbcType="VARCHAR" property="sfchyhdkValue" />
    <result column="sfwgxjsqy" jdbcType="INTEGER" property="sfwgxjsqy" />
    <result column="sfwgxjsqy_value" jdbcType="VARCHAR" property="sfwgxjsqyValue" />
    <result column="sfwkjxzxqy" jdbcType="INTEGER" property="sfwkjxzxqy" />
    <result column="sfwkjxzxqy_value" jdbcType="VARCHAR" property="sfwkjxzxqyValue" />
    <result column="zlsl" jdbcType="INTEGER" property="zlsl" />
    <result column="zlsl_fmzl" jdbcType="INTEGER" property="zlslFmzl" />
    <result column="zlsl_syxx" jdbcType="INTEGER" property="zlslSyxx" />
    <result column="sfchkjzxzj" jdbcType="INTEGER" property="sfchkjzxzj" />
    <result column="sfycxyz" jdbcType="INTEGER" property="sfycxyz" />
    <result column="sfycxyz_value" jdbcType="VARCHAR" property="sfycxyzValue" />
    <result column="sfyhjgtzztz" jdbcType="VARCHAR" property="sfyhjgtzztz" />
    <result column="sfyhjgtzztz_value" jdbcType="VARCHAR" property="sfyhjgtzztzValue" />
    <result column="cgmc" jdbcType="VARCHAR" property="cgmc" />
    <result column="cgly" jdbcType="INTEGER" property="cgly" />
    <result column="cgsx" jdbcType="VARCHAR" property="cgsx" />
    <result column="cgtxxs" jdbcType="INTEGER" property="cgtxxs" />
    <result column="cgtxxs_value" jdbcType="VARCHAR" property="cgtxxsValue" />
    <result column="cgcsd" jdbcType="INTEGER" property="cgcsd" />
    <result column="cgzscqxs" jdbcType="INTEGER" property="cgzscqxs" />
    <result column="zscqqs" jdbcType="INTEGER" property="zscqqs" />
    <result column="zlzt" jdbcType="INTEGER" property="zlzt" />
    <result column="cgdjqk" jdbcType="INTEGER" property="cgdjqk" />
    <result column="cgdjqk_value" jdbcType="VARCHAR" property="cgdjqkValue" />
    <result column="ncqcgzyzhfszzzh" jdbcType="VARCHAR" property="ncqcgzyzhfszzzh" />
    <result column="ncqcgzyzhfshzkf" jdbcType="VARCHAR" property="ncqcgzyzhfshzkf" />
    <result column="ncqcgzyzhfsjszr" jdbcType="VARCHAR" property="ncqcgzyzhfsjszr" />
    <result column="yjkzyzhsj" jdbcType="INTEGER" property="yjkzyzhsj" />
    <result column="cgjs" jdbcType="VARCHAR" property="cgjs" />
    <result column="sfycghzxq" jdbcType="INTEGER" property="sfycghzxq" />
    <result column="sfyyxhzdw" jdbcType="INTEGER" property="sfyyxhzdw" />
    <result column="sfyyxhzdw_value" jdbcType="VARCHAR" property="sfyyxhzdwValue" />
    <result column="yxhzfs" jdbcType="INTEGER" property="yxhzfs" />
    <result column="yxhzfs_value" jdbcType="VARCHAR" property="yxhzfsValue" />
    <result column="yssdkjzc" jdbcType="INTEGER" property="yssdkjzc" />
    <result column="yssdkjzc_value" jdbcType="VARCHAR" property="yssdkjzcValue" />
    <result column="nsqdsjxm" jdbcType="INTEGER" property="nsqdsjxm" />
    <result column="nsqdsjxm_value" jdbcType="VARCHAR" property="nsqdsjxmValue" />
    <result column="sqskjzgbmxxdwgkfb" jdbcType="VARCHAR" property="sqskjzgbmxxdwgkfb" />
    <result column="sqskjzgbmxxdwgkfb_value" jdbcType="VARCHAR" property="sqskjzgbmxxdwgkfbValue" />
    <result column="jsfzr" jdbcType="VARCHAR" property="jsfzr" />
    <result column="jsfsj" jdbcType="VARCHAR" property="jsfsj" />
    <result column="xqmc" jdbcType="VARCHAR" property="xqmc" />
    <result column="xqbl" jdbcType="INTEGER" property="xqbl" />
    <result column="jsxqlx" jdbcType="VARCHAR" property="jsxqlx" />
    <result column="xqly" jdbcType="VARCHAR" property="xqly" />
    <result column="mqcpjsxz" jdbcType="VARCHAR" property="mqcpjsxz" />
    <result column="yfnd" jdbcType="VARCHAR" property="yfnd" />
    <result column="yqdddxg" jdbcType="VARCHAR" property="yqdddxg" />
    <result column="yjzkdgz" jdbcType="VARCHAR" property="yjzkdgz" />
    <result column="xyyftjqk" jdbcType="VARCHAR" property="xyyftjqk" />
    <result column="mqhzdxqk" jdbcType="VARCHAR" property="mqhzdxqk" />
    <result column="sfyxybhzxq" jdbcType="INTEGER" property="sfyxybhzxq" />
    <result column="yxhzdx" jdbcType="INTEGER" property="yxhzdx" />
    <result column="yxhzdx_value" jdbcType="VARCHAR" property="yxhzdxValue" />
    <result column="ncqdhzfs" jdbcType="INTEGER" property="ncqdhzfs" />
    <result column="ncqdhzfs_value" jdbcType="VARCHAR" property="ncqdhzfsValue" />
    <result column="xqjjjzsj" jdbcType="VARCHAR" property="xqjjjzsj" />
    <result column="wjjjsntntgdhzzj" jdbcType="VARCHAR" property="wjjjsntntgdhzzj" />
    <result column="zjyt" jdbcType="VARCHAR" property="zjyt" />
    <result column="zjqk" jdbcType="VARCHAR" property="zjqk" />
    <result column="xqjjfs" jdbcType="INTEGER" property="xqjjfs" />
    <result column="xqjjfs_value" jdbcType="VARCHAR" property="xqjjfsValue" />
    <result column="sfxwgw" jdbcType="VARCHAR" property="sfxwgw" />
    <result column="sfyxck" jdbcType="VARCHAR" property="sfyxck" />
    <result column="qyyzkdgjqykjcxhzqk" jdbcType="VARCHAR" property="qyyzkdgjqykjcxhzqk" />
    <result column="zyhzfs" jdbcType="VARCHAR" property="zyhzfs" />
    <result column="zyhzfs_value" jdbcType="VARCHAR" property="zyhzfsValue" />
    <result column="create_time" jdbcType="TIMESTAMP" property="createTime" />
    <result column="aid" jdbcType="VARCHAR" property="aid" />
  </resultMap>
  <sql id="Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
      This element was generated on Thu Jul 23 09:20:14 CST 2020.
    -->
    <where>
      <foreach collection="oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Update_By_Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
      This element was generated on Thu Jul 23 09:20:14 CST 2020.
    -->
    <where>
      <foreach collection="example.oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
      This element was generated on Thu Jul 23 09:20:14 CST 2020.
    -->
    id, dwmc, dwxz, dwxz_value, htly, ssszp, ssszc, sssza, ssyq, yysjjyspt, yysjjyspt_value, 
    frdb, tyshxydm, jjgm, rygm, clsj, zczb, txdz, yb, lxr, lxdh, email, zyywjhxcp, ndxmzyywsr18, 
    ndxmjlr18, ndxmzyywsr19, ndxmjlr19, ndyftr, ndyftrzyysrbl, sfchyhdk, sfchyhdk_value, 
    sfwgxjsqy, sfwgxjsqy_value, sfwkjxzxqy, sfwkjxzxqy_value, zlsl, zlsl_fmzl, zlsl_syxx, 
    sfchkjzxzj, sfycxyz, sfycxyz_value, sfyhjgtzztz, sfyhjgtzztz_value, cgmc, cgly, cgsx, 
    cgtxxs, cgtxxs_value, cgcsd, cgzscqxs, zscqqs, zlzt, cgdjqk, cgdjqk_value, ncqcgzyzhfszzzh, 
    ncqcgzyzhfshzkf, ncqcgzyzhfsjszr, yjkzyzhsj, cgjs, sfycghzxq, sfyyxhzdw, sfyyxhzdw_value, 
    yxhzfs, yxhzfs_value, yssdkjzc, yssdkjzc_value, nsqdsjxm, nsqdsjxm_value, sqskjzgbmxxdwgkfb, 
    sqskjzgbmxxdwgkfb_value, jsfzr, jsfsj, xqmc, xqbl, jsxqlx, xqly, mqcpjsxz, yfnd, 
    yqdddxg, yjzkdgz, xyyftjqk, mqhzdxqk, sfyxybhzxq, yxhzdx, yxhzdx_value, ncqdhzfs, 
    ncqdhzfs_value, xqjjjzsj, wjjjsntntgdhzzj, zjyt, zjqk, xqjjfs, xqjjfs_value, sfxwgw, 
    sfyxck, qyyzkdgjqykjcxhzqk, zyhzfs, zyhzfs_value, create_time, aid
  </sql>
  <select id="selectByExample" parameterType="com.goafanti.common.model.DemandCollectionExample" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
      This element was generated on Thu Jul 23 09:20:14 CST 2020.
    -->
    select
    <if test="distinct">
      distinct
    </if>
    <include refid="Base_Column_List" />
    from demand_collection
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
    <if test="orderByClause != null">
      order by ${orderByClause}
    </if>
  </select>
  <select id="selectByPrimaryKey" parameterType="java.lang.Integer" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
      This element was generated on Thu Jul 23 09:20:14 CST 2020.
    -->
    select 
    <include refid="Base_Column_List" />
    from demand_collection
    where id = #{id,jdbcType=INTEGER}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Integer">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
      This element was generated on Thu Jul 23 09:20:14 CST 2020.
    -->
    delete from demand_collection
    where id = #{id,jdbcType=INTEGER}
  </delete>
  <delete id="deleteByExample" parameterType="com.goafanti.common.model.DemandCollectionExample">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
      This element was generated on Thu Jul 23 09:20:14 CST 2020.
    -->
    delete from demand_collection
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </delete>
  <insert id="insert" parameterType="com.goafanti.common.model.DemandCollection">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
      This element was generated on Thu Jul 23 09:20:14 CST 2020.
    -->
    insert into demand_collection (id, dwmc, dwxz, 
      dwxz_value, htly, ssszp, 
      ssszc, sssza, ssyq, 
      yysjjyspt, yysjjyspt_value, frdb, 
      tyshxydm, jjgm, rygm, 
      clsj, zczb, txdz, yb, 
      lxr, lxdh, email, zyywjhxcp, 
      ndxmzyywsr18, ndxmjlr18, ndxmzyywsr19, 
      ndxmjlr19, ndyftr, ndyftrzyysrbl, 
      sfchyhdk, sfchyhdk_value, sfwgxjsqy, 
      sfwgxjsqy_value, sfwkjxzxqy, sfwkjxzxqy_value, 
      zlsl, zlsl_fmzl, zlsl_syxx, 
      sfchkjzxzj, sfycxyz, sfycxyz_value, 
      sfyhjgtzztz, sfyhjgtzztz_value, cgmc, 
      cgly, cgsx, cgtxxs, 
      cgtxxs_value, cgcsd, cgzscqxs, 
      zscqqs, zlzt, cgdjqk, 
      cgdjqk_value, ncqcgzyzhfszzzh, ncqcgzyzhfshzkf, 
      ncqcgzyzhfsjszr, yjkzyzhsj, cgjs, 
      sfycghzxq, sfyyxhzdw, sfyyxhzdw_value, 
      yxhzfs, yxhzfs_value, yssdkjzc, 
      yssdkjzc_value, nsqdsjxm, nsqdsjxm_value, 
      sqskjzgbmxxdwgkfb, sqskjzgbmxxdwgkfb_value, 
      jsfzr, jsfsj, xqmc, 
      xqbl, jsxqlx, xqly, 
      mqcpjsxz, yfnd, yqdddxg, 
      yjzkdgz, xyyftjqk, mqhzdxqk, 
      sfyxybhzxq, yxhzdx, yxhzdx_value, 
      ncqdhzfs, ncqdhzfs_value, xqjjjzsj, 
      wjjjsntntgdhzzj, zjyt, zjqk, 
      xqjjfs, xqjjfs_value, sfxwgw, 
      sfyxck, qyyzkdgjqykjcxhzqk, zyhzfs, 
      zyhzfs_value, create_time, aid
      )
    values (#{id,jdbcType=INTEGER}, #{dwmc,jdbcType=VARCHAR}, #{dwxz,jdbcType=INTEGER}, 
      #{dwxzValue,jdbcType=VARCHAR}, #{htly,jdbcType=VARCHAR}, #{ssszp,jdbcType=INTEGER}, 
      #{ssszc,jdbcType=INTEGER}, #{sssza,jdbcType=INTEGER}, #{ssyq,jdbcType=VARCHAR}, 
      #{yysjjyspt,jdbcType=INTEGER}, #{yysjjysptValue,jdbcType=VARCHAR}, #{frdb,jdbcType=VARCHAR}, 
      #{tyshxydm,jdbcType=VARCHAR}, #{jjgm,jdbcType=VARCHAR}, #{rygm,jdbcType=VARCHAR}, 
      #{clsj,jdbcType=VARCHAR}, #{zczb,jdbcType=VARCHAR}, #{txdz,jdbcType=VARCHAR}, #{yb,jdbcType=VARCHAR}, 
      #{lxr,jdbcType=VARCHAR}, #{lxdh,jdbcType=VARCHAR}, #{email,jdbcType=VARCHAR}, #{zyywjhxcp,jdbcType=VARCHAR}, 
      #{ndxmzyywsr18,jdbcType=DECIMAL}, #{ndxmjlr18,jdbcType=DECIMAL}, #{ndxmzyywsr19,jdbcType=DECIMAL}, 
      #{ndxmjlr19,jdbcType=DECIMAL}, #{ndyftr,jdbcType=INTEGER}, #{ndyftrzyysrbl,jdbcType=INTEGER}, 
      #{sfchyhdk,jdbcType=INTEGER}, #{sfchyhdkValue,jdbcType=VARCHAR}, #{sfwgxjsqy,jdbcType=INTEGER}, 
      #{sfwgxjsqyValue,jdbcType=VARCHAR}, #{sfwkjxzxqy,jdbcType=INTEGER}, #{sfwkjxzxqyValue,jdbcType=VARCHAR}, 
      #{zlsl,jdbcType=INTEGER}, #{zlslFmzl,jdbcType=INTEGER}, #{zlslSyxx,jdbcType=INTEGER}, 
      #{sfchkjzxzj,jdbcType=INTEGER}, #{sfycxyz,jdbcType=INTEGER}, #{sfycxyzValue,jdbcType=VARCHAR}, 
      #{sfyhjgtzztz,jdbcType=VARCHAR}, #{sfyhjgtzztzValue,jdbcType=VARCHAR}, #{cgmc,jdbcType=VARCHAR}, 
      #{cgly,jdbcType=INTEGER}, #{cgsx,jdbcType=VARCHAR}, #{cgtxxs,jdbcType=INTEGER}, 
      #{cgtxxsValue,jdbcType=VARCHAR}, #{cgcsd,jdbcType=INTEGER}, #{cgzscqxs,jdbcType=INTEGER}, 
      #{zscqqs,jdbcType=INTEGER}, #{zlzt,jdbcType=INTEGER}, #{cgdjqk,jdbcType=INTEGER}, 
      #{cgdjqkValue,jdbcType=VARCHAR}, #{ncqcgzyzhfszzzh,jdbcType=VARCHAR}, #{ncqcgzyzhfshzkf,jdbcType=VARCHAR}, 
      #{ncqcgzyzhfsjszr,jdbcType=VARCHAR}, #{yjkzyzhsj,jdbcType=INTEGER}, #{cgjs,jdbcType=VARCHAR}, 
      #{sfycghzxq,jdbcType=INTEGER}, #{sfyyxhzdw,jdbcType=INTEGER}, #{sfyyxhzdwValue,jdbcType=VARCHAR}, 
      #{yxhzfs,jdbcType=INTEGER}, #{yxhzfsValue,jdbcType=VARCHAR}, #{yssdkjzc,jdbcType=INTEGER}, 
      #{yssdkjzcValue,jdbcType=VARCHAR}, #{nsqdsjxm,jdbcType=INTEGER}, #{nsqdsjxmValue,jdbcType=VARCHAR}, 
      #{sqskjzgbmxxdwgkfb,jdbcType=VARCHAR}, #{sqskjzgbmxxdwgkfbValue,jdbcType=VARCHAR}, 
      #{jsfzr,jdbcType=VARCHAR}, #{jsfsj,jdbcType=VARCHAR}, #{xqmc,jdbcType=VARCHAR}, 
      #{xqbl,jdbcType=INTEGER}, #{jsxqlx,jdbcType=VARCHAR}, #{xqly,jdbcType=VARCHAR}, 
      #{mqcpjsxz,jdbcType=VARCHAR}, #{yfnd,jdbcType=VARCHAR}, #{yqdddxg,jdbcType=VARCHAR}, 
      #{yjzkdgz,jdbcType=VARCHAR}, #{xyyftjqk,jdbcType=VARCHAR}, #{mqhzdxqk,jdbcType=VARCHAR}, 
      #{sfyxybhzxq,jdbcType=INTEGER}, #{yxhzdx,jdbcType=INTEGER}, #{yxhzdxValue,jdbcType=VARCHAR}, 
      #{ncqdhzfs,jdbcType=INTEGER}, #{ncqdhzfsValue,jdbcType=VARCHAR}, #{xqjjjzsj,jdbcType=VARCHAR}, 
      #{wjjjsntntgdhzzj,jdbcType=VARCHAR}, #{zjyt,jdbcType=VARCHAR}, #{zjqk,jdbcType=VARCHAR}, 
      #{xqjjfs,jdbcType=INTEGER}, #{xqjjfsValue,jdbcType=VARCHAR}, #{sfxwgw,jdbcType=VARCHAR}, 
      #{sfyxck,jdbcType=VARCHAR}, #{qyyzkdgjqykjcxhzqk,jdbcType=VARCHAR}, #{zyhzfs,jdbcType=VARCHAR}, 
      #{zyhzfsValue,jdbcType=VARCHAR}, #{createTime,jdbcType=TIMESTAMP}, #{aid,jdbcType=VARCHAR}
      )
  </insert>
  <insert id="insertSelective" parameterType="com.goafanti.common.model.DemandCollection">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
      This element was generated on Thu Jul 23 09:20:14 CST 2020.
    -->
    insert into demand_collection
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="id != null">
        id,
      </if>
      <if test="dwmc != null">
        dwmc,
      </if>
      <if test="dwxz != null">
        dwxz,
      </if>
      <if test="dwxzValue != null">
        dwxz_value,
      </if>
      <if test="htly != null">
        htly,
      </if>
      <if test="ssszp != null">
        ssszp,
      </if>
      <if test="ssszc != null">
        ssszc,
      </if>
      <if test="sssza != null">
        sssza,
      </if>
      <if test="ssyq != null">
        ssyq,
      </if>
      <if test="yysjjyspt != null">
        yysjjyspt,
      </if>
      <if test="yysjjysptValue != null">
        yysjjyspt_value,
      </if>
      <if test="frdb != null">
        frdb,
      </if>
      <if test="tyshxydm != null">
        tyshxydm,
      </if>
      <if test="jjgm != null">
        jjgm,
      </if>
      <if test="rygm != null">
        rygm,
      </if>
      <if test="clsj != null">
        clsj,
      </if>
      <if test="zczb != null">
        zczb,
      </if>
      <if test="txdz != null">
        txdz,
      </if>
      <if test="yb != null">
        yb,
      </if>
      <if test="lxr != null">
        lxr,
      </if>
      <if test="lxdh != null">
        lxdh,
      </if>
      <if test="email != null">
        email,
      </if>
      <if test="zyywjhxcp != null">
        zyywjhxcp,
      </if>
      <if test="ndxmzyywsr18 != null">
        ndxmzyywsr18,
      </if>
      <if test="ndxmjlr18 != null">
        ndxmjlr18,
      </if>
      <if test="ndxmzyywsr19 != null">
        ndxmzyywsr19,
      </if>
      <if test="ndxmjlr19 != null">
        ndxmjlr19,
      </if>
      <if test="ndyftr != null">
        ndyftr,
      </if>
      <if test="ndyftrzyysrbl != null">
        ndyftrzyysrbl,
      </if>
      <if test="sfchyhdk != null">
        sfchyhdk,
      </if>
      <if test="sfchyhdkValue != null">
        sfchyhdk_value,
      </if>
      <if test="sfwgxjsqy != null">
        sfwgxjsqy,
      </if>
      <if test="sfwgxjsqyValue != null">
        sfwgxjsqy_value,
      </if>
      <if test="sfwkjxzxqy != null">
        sfwkjxzxqy,
      </if>
      <if test="sfwkjxzxqyValue != null">
        sfwkjxzxqy_value,
      </if>
      <if test="zlsl != null">
        zlsl,
      </if>
      <if test="zlslFmzl != null">
        zlsl_fmzl,
      </if>
      <if test="zlslSyxx != null">
        zlsl_syxx,
      </if>
      <if test="sfchkjzxzj != null">
        sfchkjzxzj,
      </if>
      <if test="sfycxyz != null">
        sfycxyz,
      </if>
      <if test="sfycxyzValue != null">
        sfycxyz_value,
      </if>
      <if test="sfyhjgtzztz != null">
        sfyhjgtzztz,
      </if>
      <if test="sfyhjgtzztzValue != null">
        sfyhjgtzztz_value,
      </if>
      <if test="cgmc != null">
        cgmc,
      </if>
      <if test="cgly != null">
        cgly,
      </if>
      <if test="cgsx != null">
        cgsx,
      </if>
      <if test="cgtxxs != null">
        cgtxxs,
      </if>
      <if test="cgtxxsValue != null">
        cgtxxs_value,
      </if>
      <if test="cgcsd != null">
        cgcsd,
      </if>
      <if test="cgzscqxs != null">
        cgzscqxs,
      </if>
      <if test="zscqqs != null">
        zscqqs,
      </if>
      <if test="zlzt != null">
        zlzt,
      </if>
      <if test="cgdjqk != null">
        cgdjqk,
      </if>
      <if test="cgdjqkValue != null">
        cgdjqk_value,
      </if>
      <if test="ncqcgzyzhfszzzh != null">
        ncqcgzyzhfszzzh,
      </if>
      <if test="ncqcgzyzhfshzkf != null">
        ncqcgzyzhfshzkf,
      </if>
      <if test="ncqcgzyzhfsjszr != null">
        ncqcgzyzhfsjszr,
      </if>
      <if test="yjkzyzhsj != null">
        yjkzyzhsj,
      </if>
      <if test="cgjs != null">
        cgjs,
      </if>
      <if test="sfycghzxq != null">
        sfycghzxq,
      </if>
      <if test="sfyyxhzdw != null">
        sfyyxhzdw,
      </if>
      <if test="sfyyxhzdwValue != null">
        sfyyxhzdw_value,
      </if>
      <if test="yxhzfs != null">
        yxhzfs,
      </if>
      <if test="yxhzfsValue != null">
        yxhzfs_value,
      </if>
      <if test="yssdkjzc != null">
        yssdkjzc,
      </if>
      <if test="yssdkjzcValue != null">
        yssdkjzc_value,
      </if>
      <if test="nsqdsjxm != null">
        nsqdsjxm,
      </if>
      <if test="nsqdsjxmValue != null">
        nsqdsjxm_value,
      </if>
      <if test="sqskjzgbmxxdwgkfb != null">
        sqskjzgbmxxdwgkfb,
      </if>
      <if test="sqskjzgbmxxdwgkfbValue != null">
        sqskjzgbmxxdwgkfb_value,
      </if>
      <if test="jsfzr != null">
        jsfzr,
      </if>
      <if test="jsfsj != null">
        jsfsj,
      </if>
      <if test="xqmc != null">
        xqmc,
      </if>
      <if test="xqbl != null">
        xqbl,
      </if>
      <if test="jsxqlx != null">
        jsxqlx,
      </if>
      <if test="xqly != null">
        xqly,
      </if>
      <if test="mqcpjsxz != null">
        mqcpjsxz,
      </if>
      <if test="yfnd != null">
        yfnd,
      </if>
      <if test="yqdddxg != null">
        yqdddxg,
      </if>
      <if test="yjzkdgz != null">
        yjzkdgz,
      </if>
      <if test="xyyftjqk != null">
        xyyftjqk,
      </if>
      <if test="mqhzdxqk != null">
        mqhzdxqk,
      </if>
      <if test="sfyxybhzxq != null">
        sfyxybhzxq,
      </if>
      <if test="yxhzdx != null">
        yxhzdx,
      </if>
      <if test="yxhzdxValue != null">
        yxhzdx_value,
      </if>
      <if test="ncqdhzfs != null">
        ncqdhzfs,
      </if>
      <if test="ncqdhzfsValue != null">
        ncqdhzfs_value,
      </if>
      <if test="xqjjjzsj != null">
        xqjjjzsj,
      </if>
      <if test="wjjjsntntgdhzzj != null">
        wjjjsntntgdhzzj,
      </if>
      <if test="zjyt != null">
        zjyt,
      </if>
      <if test="zjqk != null">
        zjqk,
      </if>
      <if test="xqjjfs != null">
        xqjjfs,
      </if>
      <if test="xqjjfsValue != null">
        xqjjfs_value,
      </if>
      <if test="sfxwgw != null">
        sfxwgw,
      </if>
      <if test="sfyxck != null">
        sfyxck,
      </if>
      <if test="qyyzkdgjqykjcxhzqk != null">
        qyyzkdgjqykjcxhzqk,
      </if>
      <if test="zyhzfs != null">
        zyhzfs,
      </if>
      <if test="zyhzfsValue != null">
        zyhzfs_value,
      </if>
      <if test="createTime != null">
        create_time,
      </if>
      <if test="aid != null">
        aid,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides=",">
      <if test="id != null">
        #{id,jdbcType=INTEGER},
      </if>
      <if test="dwmc != null">
        #{dwmc,jdbcType=VARCHAR},
      </if>
      <if test="dwxz != null">
        #{dwxz,jdbcType=INTEGER},
      </if>
      <if test="dwxzValue != null">
        #{dwxzValue,jdbcType=VARCHAR},
      </if>
      <if test="htly != null">
        #{htly,jdbcType=VARCHAR},
      </if>
      <if test="ssszp != null">
        #{ssszp,jdbcType=INTEGER},
      </if>
      <if test="ssszc != null">
        #{ssszc,jdbcType=INTEGER},
      </if>
      <if test="sssza != null">
        #{sssza,jdbcType=INTEGER},
      </if>
      <if test="ssyq != null">
        #{ssyq,jdbcType=VARCHAR},
      </if>
      <if test="yysjjyspt != null">
        #{yysjjyspt,jdbcType=INTEGER},
      </if>
      <if test="yysjjysptValue != null">
        #{yysjjysptValue,jdbcType=VARCHAR},
      </if>
      <if test="frdb != null">
        #{frdb,jdbcType=VARCHAR},
      </if>
      <if test="tyshxydm != null">
        #{tyshxydm,jdbcType=VARCHAR},
      </if>
      <if test="jjgm != null">
        #{jjgm,jdbcType=VARCHAR},
      </if>
      <if test="rygm != null">
        #{rygm,jdbcType=VARCHAR},
      </if>
      <if test="clsj != null">
        #{clsj,jdbcType=VARCHAR},
      </if>
      <if test="zczb != null">
        #{zczb,jdbcType=VARCHAR},
      </if>
      <if test="txdz != null">
        #{txdz,jdbcType=VARCHAR},
      </if>
      <if test="yb != null">
        #{yb,jdbcType=VARCHAR},
      </if>
      <if test="lxr != null">
        #{lxr,jdbcType=VARCHAR},
      </if>
      <if test="lxdh != null">
        #{lxdh,jdbcType=VARCHAR},
      </if>
      <if test="email != null">
        #{email,jdbcType=VARCHAR},
      </if>
      <if test="zyywjhxcp != null">
        #{zyywjhxcp,jdbcType=VARCHAR},
      </if>
      <if test="ndxmzyywsr18 != null">
        #{ndxmzyywsr18,jdbcType=DECIMAL},
      </if>
      <if test="ndxmjlr18 != null">
        #{ndxmjlr18,jdbcType=DECIMAL},
      </if>
      <if test="ndxmzyywsr19 != null">
        #{ndxmzyywsr19,jdbcType=DECIMAL},
      </if>
      <if test="ndxmjlr19 != null">
        #{ndxmjlr19,jdbcType=DECIMAL},
      </if>
      <if test="ndyftr != null">
        #{ndyftr,jdbcType=INTEGER},
      </if>
      <if test="ndyftrzyysrbl != null">
        #{ndyftrzyysrbl,jdbcType=INTEGER},
      </if>
      <if test="sfchyhdk != null">
        #{sfchyhdk,jdbcType=INTEGER},
      </if>
      <if test="sfchyhdkValue != null">
        #{sfchyhdkValue,jdbcType=VARCHAR},
      </if>
      <if test="sfwgxjsqy != null">
        #{sfwgxjsqy,jdbcType=INTEGER},
      </if>
      <if test="sfwgxjsqyValue != null">
        #{sfwgxjsqyValue,jdbcType=VARCHAR},
      </if>
      <if test="sfwkjxzxqy != null">
        #{sfwkjxzxqy,jdbcType=INTEGER},
      </if>
      <if test="sfwkjxzxqyValue != null">
        #{sfwkjxzxqyValue,jdbcType=VARCHAR},
      </if>
      <if test="zlsl != null">
        #{zlsl,jdbcType=INTEGER},
      </if>
      <if test="zlslFmzl != null">
        #{zlslFmzl,jdbcType=INTEGER},
      </if>
      <if test="zlslSyxx != null">
        #{zlslSyxx,jdbcType=INTEGER},
      </if>
      <if test="sfchkjzxzj != null">
        #{sfchkjzxzj,jdbcType=INTEGER},
      </if>
      <if test="sfycxyz != null">
        #{sfycxyz,jdbcType=INTEGER},
      </if>
      <if test="sfycxyzValue != null">
        #{sfycxyzValue,jdbcType=VARCHAR},
      </if>
      <if test="sfyhjgtzztz != null">
        #{sfyhjgtzztz,jdbcType=VARCHAR},
      </if>
      <if test="sfyhjgtzztzValue != null">
        #{sfyhjgtzztzValue,jdbcType=VARCHAR},
      </if>
      <if test="cgmc != null">
        #{cgmc,jdbcType=VARCHAR},
      </if>
      <if test="cgly != null">
        #{cgly,jdbcType=INTEGER},
      </if>
      <if test="cgsx != null">
        #{cgsx,jdbcType=VARCHAR},
      </if>
      <if test="cgtxxs != null">
        #{cgtxxs,jdbcType=INTEGER},
      </if>
      <if test="cgtxxsValue != null">
        #{cgtxxsValue,jdbcType=VARCHAR},
      </if>
      <if test="cgcsd != null">
        #{cgcsd,jdbcType=INTEGER},
      </if>
      <if test="cgzscqxs != null">
        #{cgzscqxs,jdbcType=INTEGER},
      </if>
      <if test="zscqqs != null">
        #{zscqqs,jdbcType=INTEGER},
      </if>
      <if test="zlzt != null">
        #{zlzt,jdbcType=INTEGER},
      </if>
      <if test="cgdjqk != null">
        #{cgdjqk,jdbcType=INTEGER},
      </if>
      <if test="cgdjqkValue != null">
        #{cgdjqkValue,jdbcType=VARCHAR},
      </if>
      <if test="ncqcgzyzhfszzzh != null">
        #{ncqcgzyzhfszzzh,jdbcType=VARCHAR},
      </if>
      <if test="ncqcgzyzhfshzkf != null">
        #{ncqcgzyzhfshzkf,jdbcType=VARCHAR},
      </if>
      <if test="ncqcgzyzhfsjszr != null">
        #{ncqcgzyzhfsjszr,jdbcType=VARCHAR},
      </if>
      <if test="yjkzyzhsj != null">
        #{yjkzyzhsj,jdbcType=INTEGER},
      </if>
      <if test="cgjs != null">
        #{cgjs,jdbcType=VARCHAR},
      </if>
      <if test="sfycghzxq != null">
        #{sfycghzxq,jdbcType=INTEGER},
      </if>
      <if test="sfyyxhzdw != null">
        #{sfyyxhzdw,jdbcType=INTEGER},
      </if>
      <if test="sfyyxhzdwValue != null">
        #{sfyyxhzdwValue,jdbcType=VARCHAR},
      </if>
      <if test="yxhzfs != null">
        #{yxhzfs,jdbcType=INTEGER},
      </if>
      <if test="yxhzfsValue != null">
        #{yxhzfsValue,jdbcType=VARCHAR},
      </if>
      <if test="yssdkjzc != null">
        #{yssdkjzc,jdbcType=INTEGER},
      </if>
      <if test="yssdkjzcValue != null">
        #{yssdkjzcValue,jdbcType=VARCHAR},
      </if>
      <if test="nsqdsjxm != null">
        #{nsqdsjxm,jdbcType=INTEGER},
      </if>
      <if test="nsqdsjxmValue != null">
        #{nsqdsjxmValue,jdbcType=VARCHAR},
      </if>
      <if test="sqskjzgbmxxdwgkfb != null">
        #{sqskjzgbmxxdwgkfb,jdbcType=VARCHAR},
      </if>
      <if test="sqskjzgbmxxdwgkfbValue != null">
        #{sqskjzgbmxxdwgkfbValue,jdbcType=VARCHAR},
      </if>
      <if test="jsfzr != null">
        #{jsfzr,jdbcType=VARCHAR},
      </if>
      <if test="jsfsj != null">
        #{jsfsj,jdbcType=VARCHAR},
      </if>
      <if test="xqmc != null">
        #{xqmc,jdbcType=VARCHAR},
      </if>
      <if test="xqbl != null">
        #{xqbl,jdbcType=INTEGER},
      </if>
      <if test="jsxqlx != null">
        #{jsxqlx,jdbcType=VARCHAR},
      </if>
      <if test="xqly != null">
        #{xqly,jdbcType=VARCHAR},
      </if>
      <if test="mqcpjsxz != null">
        #{mqcpjsxz,jdbcType=VARCHAR},
      </if>
      <if test="yfnd != null">
        #{yfnd,jdbcType=VARCHAR},
      </if>
      <if test="yqdddxg != null">
        #{yqdddxg,jdbcType=VARCHAR},
      </if>
      <if test="yjzkdgz != null">
        #{yjzkdgz,jdbcType=VARCHAR},
      </if>
      <if test="xyyftjqk != null">
        #{xyyftjqk,jdbcType=VARCHAR},
      </if>
      <if test="mqhzdxqk != null">
        #{mqhzdxqk,jdbcType=VARCHAR},
      </if>
      <if test="sfyxybhzxq != null">
        #{sfyxybhzxq,jdbcType=INTEGER},
      </if>
      <if test="yxhzdx != null">
        #{yxhzdx,jdbcType=INTEGER},
      </if>
      <if test="yxhzdxValue != null">
        #{yxhzdxValue,jdbcType=VARCHAR},
      </if>
      <if test="ncqdhzfs != null">
        #{ncqdhzfs,jdbcType=INTEGER},
      </if>
      <if test="ncqdhzfsValue != null">
        #{ncqdhzfsValue,jdbcType=VARCHAR},
      </if>
      <if test="xqjjjzsj != null">
        #{xqjjjzsj,jdbcType=VARCHAR},
      </if>
      <if test="wjjjsntntgdhzzj != null">
        #{wjjjsntntgdhzzj,jdbcType=VARCHAR},
      </if>
      <if test="zjyt != null">
        #{zjyt,jdbcType=VARCHAR},
      </if>
      <if test="zjqk != null">
        #{zjqk,jdbcType=VARCHAR},
      </if>
      <if test="xqjjfs != null">
        #{xqjjfs,jdbcType=INTEGER},
      </if>
      <if test="xqjjfsValue != null">
        #{xqjjfsValue,jdbcType=VARCHAR},
      </if>
      <if test="sfxwgw != null">
        #{sfxwgw,jdbcType=VARCHAR},
      </if>
      <if test="sfyxck != null">
        #{sfyxck,jdbcType=VARCHAR},
      </if>
      <if test="qyyzkdgjqykjcxhzqk != null">
        #{qyyzkdgjqykjcxhzqk,jdbcType=VARCHAR},
      </if>
      <if test="zyhzfs != null">
        #{zyhzfs,jdbcType=VARCHAR},
      </if>
      <if test="zyhzfsValue != null">
        #{zyhzfsValue,jdbcType=VARCHAR},
      </if>
      <if test="createTime != null">
        #{createTime,jdbcType=TIMESTAMP},
      </if>
      <if test="aid != null">
        #{aid,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>
  <select id="countByExample" parameterType="com.goafanti.common.model.DemandCollectionExample" resultType="java.lang.Long">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
      This element was generated on Thu Jul 23 09:20:14 CST 2020.
    -->
    select count(*) from demand_collection
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </select>
  <update id="updateByExampleSelective" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
      This element was generated on Thu Jul 23 09:20:14 CST 2020.
    -->
    update demand_collection
    <set>
      <if test="record.id != null">
        id = #{record.id,jdbcType=INTEGER},
      </if>
      <if test="record.dwmc != null">
        dwmc = #{record.dwmc,jdbcType=VARCHAR},
      </if>
      <if test="record.dwxz != null">
        dwxz = #{record.dwxz,jdbcType=INTEGER},
      </if>
      <if test="record.dwxzValue != null">
        dwxz_value = #{record.dwxzValue,jdbcType=VARCHAR},
      </if>
      <if test="record.htly != null">
        htly = #{record.htly,jdbcType=VARCHAR},
      </if>
      <if test="record.ssszp != null">
        ssszp = #{record.ssszp,jdbcType=INTEGER},
      </if>
      <if test="record.ssszc != null">
        ssszc = #{record.ssszc,jdbcType=INTEGER},
      </if>
      <if test="record.sssza != null">
        sssza = #{record.sssza,jdbcType=INTEGER},
      </if>
      <if test="record.ssyq != null">
        ssyq = #{record.ssyq,jdbcType=VARCHAR},
      </if>
      <if test="record.yysjjyspt != null">
        yysjjyspt = #{record.yysjjyspt,jdbcType=INTEGER},
      </if>
      <if test="record.yysjjysptValue != null">
        yysjjyspt_value = #{record.yysjjysptValue,jdbcType=VARCHAR},
      </if>
      <if test="record.frdb != null">
        frdb = #{record.frdb,jdbcType=VARCHAR},
      </if>
      <if test="record.tyshxydm != null">
        tyshxydm = #{record.tyshxydm,jdbcType=VARCHAR},
      </if>
      <if test="record.jjgm != null">
        jjgm = #{record.jjgm,jdbcType=VARCHAR},
      </if>
      <if test="record.rygm != null">
        rygm = #{record.rygm,jdbcType=VARCHAR},
      </if>
      <if test="record.clsj != null">
        clsj = #{record.clsj,jdbcType=VARCHAR},
      </if>
      <if test="record.zczb != null">
        zczb = #{record.zczb,jdbcType=VARCHAR},
      </if>
      <if test="record.txdz != null">
        txdz = #{record.txdz,jdbcType=VARCHAR},
      </if>
      <if test="record.yb != null">
        yb = #{record.yb,jdbcType=VARCHAR},
      </if>
      <if test="record.lxr != null">
        lxr = #{record.lxr,jdbcType=VARCHAR},
      </if>
      <if test="record.lxdh != null">
        lxdh = #{record.lxdh,jdbcType=VARCHAR},
      </if>
      <if test="record.email != null">
        email = #{record.email,jdbcType=VARCHAR},
      </if>
      <if test="record.zyywjhxcp != null">
        zyywjhxcp = #{record.zyywjhxcp,jdbcType=VARCHAR},
      </if>
      <if test="record.ndxmzyywsr18 != null">
        ndxmzyywsr18 = #{record.ndxmzyywsr18,jdbcType=DECIMAL},
      </if>
      <if test="record.ndxmjlr18 != null">
        ndxmjlr18 = #{record.ndxmjlr18,jdbcType=DECIMAL},
      </if>
      <if test="record.ndxmzyywsr19 != null">
        ndxmzyywsr19 = #{record.ndxmzyywsr19,jdbcType=DECIMAL},
      </if>
      <if test="record.ndxmjlr19 != null">
        ndxmjlr19 = #{record.ndxmjlr19,jdbcType=DECIMAL},
      </if>
      <if test="record.ndyftr != null">
        ndyftr = #{record.ndyftr,jdbcType=INTEGER},
      </if>
      <if test="record.ndyftrzyysrbl != null">
        ndyftrzyysrbl = #{record.ndyftrzyysrbl,jdbcType=INTEGER},
      </if>
      <if test="record.sfchyhdk != null">
        sfchyhdk = #{record.sfchyhdk,jdbcType=INTEGER},
      </if>
      <if test="record.sfchyhdkValue != null">
        sfchyhdk_value = #{record.sfchyhdkValue,jdbcType=VARCHAR},
      </if>
      <if test="record.sfwgxjsqy != null">
        sfwgxjsqy = #{record.sfwgxjsqy,jdbcType=INTEGER},
      </if>
      <if test="record.sfwgxjsqyValue != null">
        sfwgxjsqy_value = #{record.sfwgxjsqyValue,jdbcType=VARCHAR},
      </if>
      <if test="record.sfwkjxzxqy != null">
        sfwkjxzxqy = #{record.sfwkjxzxqy,jdbcType=INTEGER},
      </if>
      <if test="record.sfwkjxzxqyValue != null">
        sfwkjxzxqy_value = #{record.sfwkjxzxqyValue,jdbcType=VARCHAR},
      </if>
      <if test="record.zlsl != null">
        zlsl = #{record.zlsl,jdbcType=INTEGER},
      </if>
      <if test="record.zlslFmzl != null">
        zlsl_fmzl = #{record.zlslFmzl,jdbcType=INTEGER},
      </if>
      <if test="record.zlslSyxx != null">
        zlsl_syxx = #{record.zlslSyxx,jdbcType=INTEGER},
      </if>
      <if test="record.sfchkjzxzj != null">
        sfchkjzxzj = #{record.sfchkjzxzj,jdbcType=INTEGER},
      </if>
      <if test="record.sfycxyz != null">
        sfycxyz = #{record.sfycxyz,jdbcType=INTEGER},
      </if>
      <if test="record.sfycxyzValue != null">
        sfycxyz_value = #{record.sfycxyzValue,jdbcType=VARCHAR},
      </if>
      <if test="record.sfyhjgtzztz != null">
        sfyhjgtzztz = #{record.sfyhjgtzztz,jdbcType=VARCHAR},
      </if>
      <if test="record.sfyhjgtzztzValue != null">
        sfyhjgtzztz_value = #{record.sfyhjgtzztzValue,jdbcType=VARCHAR},
      </if>
      <if test="record.cgmc != null">
        cgmc = #{record.cgmc,jdbcType=VARCHAR},
      </if>
      <if test="record.cgly != null">
        cgly = #{record.cgly,jdbcType=INTEGER},
      </if>
      <if test="record.cgsx != null">
        cgsx = #{record.cgsx,jdbcType=VARCHAR},
      </if>
      <if test="record.cgtxxs != null">
        cgtxxs = #{record.cgtxxs,jdbcType=INTEGER},
      </if>
      <if test="record.cgtxxsValue != null">
        cgtxxs_value = #{record.cgtxxsValue,jdbcType=VARCHAR},
      </if>
      <if test="record.cgcsd != null">
        cgcsd = #{record.cgcsd,jdbcType=INTEGER},
      </if>
      <if test="record.cgzscqxs != null">
        cgzscqxs = #{record.cgzscqxs,jdbcType=INTEGER},
      </if>
      <if test="record.zscqqs != null">
        zscqqs = #{record.zscqqs,jdbcType=INTEGER},
      </if>
      <if test="record.zlzt != null">
        zlzt = #{record.zlzt,jdbcType=INTEGER},
      </if>
      <if test="record.cgdjqk != null">
        cgdjqk = #{record.cgdjqk,jdbcType=INTEGER},
      </if>
      <if test="record.cgdjqkValue != null">
        cgdjqk_value = #{record.cgdjqkValue,jdbcType=VARCHAR},
      </if>
      <if test="record.ncqcgzyzhfszzzh != null">
        ncqcgzyzhfszzzh = #{record.ncqcgzyzhfszzzh,jdbcType=VARCHAR},
      </if>
      <if test="record.ncqcgzyzhfshzkf != null">
        ncqcgzyzhfshzkf = #{record.ncqcgzyzhfshzkf,jdbcType=VARCHAR},
      </if>
      <if test="record.ncqcgzyzhfsjszr != null">
        ncqcgzyzhfsjszr = #{record.ncqcgzyzhfsjszr,jdbcType=VARCHAR},
      </if>
      <if test="record.yjkzyzhsj != null">
        yjkzyzhsj = #{record.yjkzyzhsj,jdbcType=INTEGER},
      </if>
      <if test="record.cgjs != null">
        cgjs = #{record.cgjs,jdbcType=VARCHAR},
      </if>
      <if test="record.sfycghzxq != null">
        sfycghzxq = #{record.sfycghzxq,jdbcType=INTEGER},
      </if>
      <if test="record.sfyyxhzdw != null">
        sfyyxhzdw = #{record.sfyyxhzdw,jdbcType=INTEGER},
      </if>
      <if test="record.sfyyxhzdwValue != null">
        sfyyxhzdw_value = #{record.sfyyxhzdwValue,jdbcType=VARCHAR},
      </if>
      <if test="record.yxhzfs != null">
        yxhzfs = #{record.yxhzfs,jdbcType=INTEGER},
      </if>
      <if test="record.yxhzfsValue != null">
        yxhzfs_value = #{record.yxhzfsValue,jdbcType=VARCHAR},
      </if>
      <if test="record.yssdkjzc != null">
        yssdkjzc = #{record.yssdkjzc,jdbcType=INTEGER},
      </if>
      <if test="record.yssdkjzcValue != null">
        yssdkjzc_value = #{record.yssdkjzcValue,jdbcType=VARCHAR},
      </if>
      <if test="record.nsqdsjxm != null">
        nsqdsjxm = #{record.nsqdsjxm,jdbcType=INTEGER},
      </if>
      <if test="record.nsqdsjxmValue != null">
        nsqdsjxm_value = #{record.nsqdsjxmValue,jdbcType=VARCHAR},
      </if>
      <if test="record.sqskjzgbmxxdwgkfb != null">
        sqskjzgbmxxdwgkfb = #{record.sqskjzgbmxxdwgkfb,jdbcType=VARCHAR},
      </if>
      <if test="record.sqskjzgbmxxdwgkfbValue != null">
        sqskjzgbmxxdwgkfb_value = #{record.sqskjzgbmxxdwgkfbValue,jdbcType=VARCHAR},
      </if>
      <if test="record.jsfzr != null">
        jsfzr = #{record.jsfzr,jdbcType=VARCHAR},
      </if>
      <if test="record.jsfsj != null">
        jsfsj = #{record.jsfsj,jdbcType=VARCHAR},
      </if>
      <if test="record.xqmc != null">
        xqmc = #{record.xqmc,jdbcType=VARCHAR},
      </if>
      <if test="record.xqbl != null">
        xqbl = #{record.xqbl,jdbcType=INTEGER},
      </if>
      <if test="record.jsxqlx != null">
        jsxqlx = #{record.jsxqlx,jdbcType=VARCHAR},
      </if>
      <if test="record.xqly != null">
        xqly = #{record.xqly,jdbcType=VARCHAR},
      </if>
      <if test="record.mqcpjsxz != null">
        mqcpjsxz = #{record.mqcpjsxz,jdbcType=VARCHAR},
      </if>
      <if test="record.yfnd != null">
        yfnd = #{record.yfnd,jdbcType=VARCHAR},
      </if>
      <if test="record.yqdddxg != null">
        yqdddxg = #{record.yqdddxg,jdbcType=VARCHAR},
      </if>
      <if test="record.yjzkdgz != null">
        yjzkdgz = #{record.yjzkdgz,jdbcType=VARCHAR},
      </if>
      <if test="record.xyyftjqk != null">
        xyyftjqk = #{record.xyyftjqk,jdbcType=VARCHAR},
      </if>
      <if test="record.mqhzdxqk != null">
        mqhzdxqk = #{record.mqhzdxqk,jdbcType=VARCHAR},
      </if>
      <if test="record.sfyxybhzxq != null">
        sfyxybhzxq = #{record.sfyxybhzxq,jdbcType=INTEGER},
      </if>
      <if test="record.yxhzdx != null">
        yxhzdx = #{record.yxhzdx,jdbcType=INTEGER},
      </if>
      <if test="record.yxhzdxValue != null">
        yxhzdx_value = #{record.yxhzdxValue,jdbcType=VARCHAR},
      </if>
      <if test="record.ncqdhzfs != null">
        ncqdhzfs = #{record.ncqdhzfs,jdbcType=INTEGER},
      </if>
      <if test="record.ncqdhzfsValue != null">
        ncqdhzfs_value = #{record.ncqdhzfsValue,jdbcType=VARCHAR},
      </if>
      <if test="record.xqjjjzsj != null">
        xqjjjzsj = #{record.xqjjjzsj,jdbcType=VARCHAR},
      </if>
      <if test="record.wjjjsntntgdhzzj != null">
        wjjjsntntgdhzzj = #{record.wjjjsntntgdhzzj,jdbcType=VARCHAR},
      </if>
      <if test="record.zjyt != null">
        zjyt = #{record.zjyt,jdbcType=VARCHAR},
      </if>
      <if test="record.zjqk != null">
        zjqk = #{record.zjqk,jdbcType=VARCHAR},
      </if>
      <if test="record.xqjjfs != null">
        xqjjfs = #{record.xqjjfs,jdbcType=INTEGER},
      </if>
      <if test="record.xqjjfsValue != null">
        xqjjfs_value = #{record.xqjjfsValue,jdbcType=VARCHAR},
      </if>
      <if test="record.sfxwgw != null">
        sfxwgw = #{record.sfxwgw,jdbcType=VARCHAR},
      </if>
      <if test="record.sfyxck != null">
        sfyxck = #{record.sfyxck,jdbcType=VARCHAR},
      </if>
      <if test="record.qyyzkdgjqykjcxhzqk != null">
        qyyzkdgjqykjcxhzqk = #{record.qyyzkdgjqykjcxhzqk,jdbcType=VARCHAR},
      </if>
      <if test="record.zyhzfs != null">
        zyhzfs = #{record.zyhzfs,jdbcType=VARCHAR},
      </if>
      <if test="record.zyhzfsValue != null">
        zyhzfs_value = #{record.zyhzfsValue,jdbcType=VARCHAR},
      </if>
      <if test="record.createTime != null">
        create_time = #{record.createTime,jdbcType=TIMESTAMP},
      </if>
      <if test="record.aid != null">
        aid = #{record.aid,jdbcType=VARCHAR},
      </if>
    </set>
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByExample" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
      This element was generated on Thu Jul 23 09:20:14 CST 2020.
    -->
    update demand_collection
    set id = #{record.id,jdbcType=INTEGER},
      dwmc = #{record.dwmc,jdbcType=VARCHAR},
      dwxz = #{record.dwxz,jdbcType=INTEGER},
      dwxz_value = #{record.dwxzValue,jdbcType=VARCHAR},
      htly = #{record.htly,jdbcType=VARCHAR},
      ssszp = #{record.ssszp,jdbcType=INTEGER},
      ssszc = #{record.ssszc,jdbcType=INTEGER},
      sssza = #{record.sssza,jdbcType=INTEGER},
      ssyq = #{record.ssyq,jdbcType=VARCHAR},
      yysjjyspt = #{record.yysjjyspt,jdbcType=INTEGER},
      yysjjyspt_value = #{record.yysjjysptValue,jdbcType=VARCHAR},
      frdb = #{record.frdb,jdbcType=VARCHAR},
      tyshxydm = #{record.tyshxydm,jdbcType=VARCHAR},
      jjgm = #{record.jjgm,jdbcType=VARCHAR},
      rygm = #{record.rygm,jdbcType=VARCHAR},
      clsj = #{record.clsj,jdbcType=VARCHAR},
      zczb = #{record.zczb,jdbcType=VARCHAR},
      txdz = #{record.txdz,jdbcType=VARCHAR},
      yb = #{record.yb,jdbcType=VARCHAR},
      lxr = #{record.lxr,jdbcType=VARCHAR},
      lxdh = #{record.lxdh,jdbcType=VARCHAR},
      email = #{record.email,jdbcType=VARCHAR},
      zyywjhxcp = #{record.zyywjhxcp,jdbcType=VARCHAR},
      ndxmzyywsr18 = #{record.ndxmzyywsr18,jdbcType=DECIMAL},
      ndxmjlr18 = #{record.ndxmjlr18,jdbcType=DECIMAL},
      ndxmzyywsr19 = #{record.ndxmzyywsr19,jdbcType=DECIMAL},
      ndxmjlr19 = #{record.ndxmjlr19,jdbcType=DECIMAL},
      ndyftr = #{record.ndyftr,jdbcType=INTEGER},
      ndyftrzyysrbl = #{record.ndyftrzyysrbl,jdbcType=INTEGER},
      sfchyhdk = #{record.sfchyhdk,jdbcType=INTEGER},
      sfchyhdk_value = #{record.sfchyhdkValue,jdbcType=VARCHAR},
      sfwgxjsqy = #{record.sfwgxjsqy,jdbcType=INTEGER},
      sfwgxjsqy_value = #{record.sfwgxjsqyValue,jdbcType=VARCHAR},
      sfwkjxzxqy = #{record.sfwkjxzxqy,jdbcType=INTEGER},
      sfwkjxzxqy_value = #{record.sfwkjxzxqyValue,jdbcType=VARCHAR},
      zlsl = #{record.zlsl,jdbcType=INTEGER},
      zlsl_fmzl = #{record.zlslFmzl,jdbcType=INTEGER},
      zlsl_syxx = #{record.zlslSyxx,jdbcType=INTEGER},
      sfchkjzxzj = #{record.sfchkjzxzj,jdbcType=INTEGER},
      sfycxyz = #{record.sfycxyz,jdbcType=INTEGER},
      sfycxyz_value = #{record.sfycxyzValue,jdbcType=VARCHAR},
      sfyhjgtzztz = #{record.sfyhjgtzztz,jdbcType=VARCHAR},
      sfyhjgtzztz_value = #{record.sfyhjgtzztzValue,jdbcType=VARCHAR},
      cgmc = #{record.cgmc,jdbcType=VARCHAR},
      cgly = #{record.cgly,jdbcType=INTEGER},
      cgsx = #{record.cgsx,jdbcType=VARCHAR},
      cgtxxs = #{record.cgtxxs,jdbcType=INTEGER},
      cgtxxs_value = #{record.cgtxxsValue,jdbcType=VARCHAR},
      cgcsd = #{record.cgcsd,jdbcType=INTEGER},
      cgzscqxs = #{record.cgzscqxs,jdbcType=INTEGER},
      zscqqs = #{record.zscqqs,jdbcType=INTEGER},
      zlzt = #{record.zlzt,jdbcType=INTEGER},
      cgdjqk = #{record.cgdjqk,jdbcType=INTEGER},
      cgdjqk_value = #{record.cgdjqkValue,jdbcType=VARCHAR},
      ncqcgzyzhfszzzh = #{record.ncqcgzyzhfszzzh,jdbcType=VARCHAR},
      ncqcgzyzhfshzkf = #{record.ncqcgzyzhfshzkf,jdbcType=VARCHAR},
      ncqcgzyzhfsjszr = #{record.ncqcgzyzhfsjszr,jdbcType=VARCHAR},
      yjkzyzhsj = #{record.yjkzyzhsj,jdbcType=INTEGER},
      cgjs = #{record.cgjs,jdbcType=VARCHAR},
      sfycghzxq = #{record.sfycghzxq,jdbcType=INTEGER},
      sfyyxhzdw = #{record.sfyyxhzdw,jdbcType=INTEGER},
      sfyyxhzdw_value = #{record.sfyyxhzdwValue,jdbcType=VARCHAR},
      yxhzfs = #{record.yxhzfs,jdbcType=INTEGER},
      yxhzfs_value = #{record.yxhzfsValue,jdbcType=VARCHAR},
      yssdkjzc = #{record.yssdkjzc,jdbcType=INTEGER},
      yssdkjzc_value = #{record.yssdkjzcValue,jdbcType=VARCHAR},
      nsqdsjxm = #{record.nsqdsjxm,jdbcType=INTEGER},
      nsqdsjxm_value = #{record.nsqdsjxmValue,jdbcType=VARCHAR},
      sqskjzgbmxxdwgkfb = #{record.sqskjzgbmxxdwgkfb,jdbcType=VARCHAR},
      sqskjzgbmxxdwgkfb_value = #{record.sqskjzgbmxxdwgkfbValue,jdbcType=VARCHAR},
      jsfzr = #{record.jsfzr,jdbcType=VARCHAR},
      jsfsj = #{record.jsfsj,jdbcType=VARCHAR},
      xqmc = #{record.xqmc,jdbcType=VARCHAR},
      xqbl = #{record.xqbl,jdbcType=INTEGER},
      jsxqlx = #{record.jsxqlx,jdbcType=VARCHAR},
      xqly = #{record.xqly,jdbcType=VARCHAR},
      mqcpjsxz = #{record.mqcpjsxz,jdbcType=VARCHAR},
      yfnd = #{record.yfnd,jdbcType=VARCHAR},
      yqdddxg = #{record.yqdddxg,jdbcType=VARCHAR},
      yjzkdgz = #{record.yjzkdgz,jdbcType=VARCHAR},
      xyyftjqk = #{record.xyyftjqk,jdbcType=VARCHAR},
      mqhzdxqk = #{record.mqhzdxqk,jdbcType=VARCHAR},
      sfyxybhzxq = #{record.sfyxybhzxq,jdbcType=INTEGER},
      yxhzdx = #{record.yxhzdx,jdbcType=INTEGER},
      yxhzdx_value = #{record.yxhzdxValue,jdbcType=VARCHAR},
      ncqdhzfs = #{record.ncqdhzfs,jdbcType=INTEGER},
      ncqdhzfs_value = #{record.ncqdhzfsValue,jdbcType=VARCHAR},
      xqjjjzsj = #{record.xqjjjzsj,jdbcType=VARCHAR},
      wjjjsntntgdhzzj = #{record.wjjjsntntgdhzzj,jdbcType=VARCHAR},
      zjyt = #{record.zjyt,jdbcType=VARCHAR},
      zjqk = #{record.zjqk,jdbcType=VARCHAR},
      xqjjfs = #{record.xqjjfs,jdbcType=INTEGER},
      xqjjfs_value = #{record.xqjjfsValue,jdbcType=VARCHAR},
      sfxwgw = #{record.sfxwgw,jdbcType=VARCHAR},
      sfyxck = #{record.sfyxck,jdbcType=VARCHAR},
      qyyzkdgjqykjcxhzqk = #{record.qyyzkdgjqykjcxhzqk,jdbcType=VARCHAR},
      zyhzfs = #{record.zyhzfs,jdbcType=VARCHAR},
      zyhzfs_value = #{record.zyhzfsValue,jdbcType=VARCHAR},
      create_time = #{record.createTime,jdbcType=TIMESTAMP},
      aid = #{record.aid,jdbcType=VARCHAR}
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByPrimaryKeySelective" parameterType="com.goafanti.common.model.DemandCollection">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
      This element was generated on Thu Jul 23 09:20:14 CST 2020.
    -->
    update demand_collection
    <set>
      <if test="dwmc != null">
        dwmc = #{dwmc,jdbcType=VARCHAR},
      </if>
      <if test="dwxz != null">
        dwxz = #{dwxz,jdbcType=INTEGER},
      </if>
      <if test="dwxzValue != null">
        dwxz_value = #{dwxzValue,jdbcType=VARCHAR},
      </if>
      <if test="htly != null">
        htly = #{htly,jdbcType=VARCHAR},
      </if>
      <if test="ssszp != null">
        ssszp = #{ssszp,jdbcType=INTEGER},
      </if>
      <if test="ssszc != null">
        ssszc = #{ssszc,jdbcType=INTEGER},
      </if>
      <if test="sssza != null">
        sssza = #{sssza,jdbcType=INTEGER},
      </if>
      <if test="ssyq != null">
        ssyq = #{ssyq,jdbcType=VARCHAR},
      </if>
      <if test="yysjjyspt != null">
        yysjjyspt = #{yysjjyspt,jdbcType=INTEGER},
      </if>
      <if test="yysjjysptValue != null">
        yysjjyspt_value = #{yysjjysptValue,jdbcType=VARCHAR},
      </if>
      <if test="frdb != null">
        frdb = #{frdb,jdbcType=VARCHAR},
      </if>
      <if test="tyshxydm != null">
        tyshxydm = #{tyshxydm,jdbcType=VARCHAR},
      </if>
      <if test="jjgm != null">
        jjgm = #{jjgm,jdbcType=VARCHAR},
      </if>
      <if test="rygm != null">
        rygm = #{rygm,jdbcType=VARCHAR},
      </if>
      <if test="clsj != null">
        clsj = #{clsj,jdbcType=VARCHAR},
      </if>
      <if test="zczb != null">
        zczb = #{zczb,jdbcType=VARCHAR},
      </if>
      <if test="txdz != null">
        txdz = #{txdz,jdbcType=VARCHAR},
      </if>
      <if test="yb != null">
        yb = #{yb,jdbcType=VARCHAR},
      </if>
      <if test="lxr != null">
        lxr = #{lxr,jdbcType=VARCHAR},
      </if>
      <if test="lxdh != null">
        lxdh = #{lxdh,jdbcType=VARCHAR},
      </if>
      <if test="email != null">
        email = #{email,jdbcType=VARCHAR},
      </if>
      <if test="zyywjhxcp != null">
        zyywjhxcp = #{zyywjhxcp,jdbcType=VARCHAR},
      </if>
      <if test="ndxmzyywsr18 != null">
        ndxmzyywsr18 = #{ndxmzyywsr18,jdbcType=DECIMAL},
      </if>
      <if test="ndxmjlr18 != null">
        ndxmjlr18 = #{ndxmjlr18,jdbcType=DECIMAL},
      </if>
      <if test="ndxmzyywsr19 != null">
        ndxmzyywsr19 = #{ndxmzyywsr19,jdbcType=DECIMAL},
      </if>
      <if test="ndxmjlr19 != null">
        ndxmjlr19 = #{ndxmjlr19,jdbcType=DECIMAL},
      </if>
      <if test="ndyftr != null">
        ndyftr = #{ndyftr,jdbcType=INTEGER},
      </if>
      <if test="ndyftrzyysrbl != null">
        ndyftrzyysrbl = #{ndyftrzyysrbl,jdbcType=INTEGER},
      </if>
      <if test="sfchyhdk != null">
        sfchyhdk = #{sfchyhdk,jdbcType=INTEGER},
      </if>
      <if test="sfchyhdkValue != null">
        sfchyhdk_value = #{sfchyhdkValue,jdbcType=VARCHAR},
      </if>
      <if test="sfwgxjsqy != null">
        sfwgxjsqy = #{sfwgxjsqy,jdbcType=INTEGER},
      </if>
      <if test="sfwgxjsqyValue != null">
        sfwgxjsqy_value = #{sfwgxjsqyValue,jdbcType=VARCHAR},
      </if>
      <if test="sfwkjxzxqy != null">
        sfwkjxzxqy = #{sfwkjxzxqy,jdbcType=INTEGER},
      </if>
      <if test="sfwkjxzxqyValue != null">
        sfwkjxzxqy_value = #{sfwkjxzxqyValue,jdbcType=VARCHAR},
      </if>
      <if test="zlsl != null">
        zlsl = #{zlsl,jdbcType=INTEGER},
      </if>
      <if test="zlslFmzl != null">
        zlsl_fmzl = #{zlslFmzl,jdbcType=INTEGER},
      </if>
      <if test="zlslSyxx != null">
        zlsl_syxx = #{zlslSyxx,jdbcType=INTEGER},
      </if>
      <if test="sfchkjzxzj != null">
        sfchkjzxzj = #{sfchkjzxzj,jdbcType=INTEGER},
      </if>
      <if test="sfycxyz != null">
        sfycxyz = #{sfycxyz,jdbcType=INTEGER},
      </if>
      <if test="sfycxyzValue != null">
        sfycxyz_value = #{sfycxyzValue,jdbcType=VARCHAR},
      </if>
      <if test="sfyhjgtzztz != null">
        sfyhjgtzztz = #{sfyhjgtzztz,jdbcType=VARCHAR},
      </if>
      <if test="sfyhjgtzztzValue != null">
        sfyhjgtzztz_value = #{sfyhjgtzztzValue,jdbcType=VARCHAR},
      </if>
      <if test="cgmc != null">
        cgmc = #{cgmc,jdbcType=VARCHAR},
      </if>
      <if test="cgly != null">
        cgly = #{cgly,jdbcType=INTEGER},
      </if>
      <if test="cgsx != null">
        cgsx = #{cgsx,jdbcType=VARCHAR},
      </if>
      <if test="cgtxxs != null">
        cgtxxs = #{cgtxxs,jdbcType=INTEGER},
      </if>
      <if test="cgtxxsValue != null">
        cgtxxs_value = #{cgtxxsValue,jdbcType=VARCHAR},
      </if>
      <if test="cgcsd != null">
        cgcsd = #{cgcsd,jdbcType=INTEGER},
      </if>
      <if test="cgzscqxs != null">
        cgzscqxs = #{cgzscqxs,jdbcType=INTEGER},
      </if>
      <if test="zscqqs != null">
        zscqqs = #{zscqqs,jdbcType=INTEGER},
      </if>
      <if test="zlzt != null">
        zlzt = #{zlzt,jdbcType=INTEGER},
      </if>
      <if test="cgdjqk != null">
        cgdjqk = #{cgdjqk,jdbcType=INTEGER},
      </if>
      <if test="cgdjqkValue != null">
        cgdjqk_value = #{cgdjqkValue,jdbcType=VARCHAR},
      </if>
      <if test="ncqcgzyzhfszzzh != null">
        ncqcgzyzhfszzzh = #{ncqcgzyzhfszzzh,jdbcType=VARCHAR},
      </if>
      <if test="ncqcgzyzhfshzkf != null">
        ncqcgzyzhfshzkf = #{ncqcgzyzhfshzkf,jdbcType=VARCHAR},
      </if>
      <if test="ncqcgzyzhfsjszr != null">
        ncqcgzyzhfsjszr = #{ncqcgzyzhfsjszr,jdbcType=VARCHAR},
      </if>
      <if test="yjkzyzhsj != null">
        yjkzyzhsj = #{yjkzyzhsj,jdbcType=INTEGER},
      </if>
      <if test="cgjs != null">
        cgjs = #{cgjs,jdbcType=VARCHAR},
      </if>
      <if test="sfycghzxq != null">
        sfycghzxq = #{sfycghzxq,jdbcType=INTEGER},
      </if>
      <if test="sfyyxhzdw != null">
        sfyyxhzdw = #{sfyyxhzdw,jdbcType=INTEGER},
      </if>
      <if test="sfyyxhzdwValue != null">
        sfyyxhzdw_value = #{sfyyxhzdwValue,jdbcType=VARCHAR},
      </if>
      <if test="yxhzfs != null">
        yxhzfs = #{yxhzfs,jdbcType=INTEGER},
      </if>
      <if test="yxhzfsValue != null">
        yxhzfs_value = #{yxhzfsValue,jdbcType=VARCHAR},
      </if>
      <if test="yssdkjzc != null">
        yssdkjzc = #{yssdkjzc,jdbcType=INTEGER},
      </if>
      <if test="yssdkjzcValue != null">
        yssdkjzc_value = #{yssdkjzcValue,jdbcType=VARCHAR},
      </if>
      <if test="nsqdsjxm != null">
        nsqdsjxm = #{nsqdsjxm,jdbcType=INTEGER},
      </if>
      <if test="nsqdsjxmValue != null">
        nsqdsjxm_value = #{nsqdsjxmValue,jdbcType=VARCHAR},
      </if>
      <if test="sqskjzgbmxxdwgkfb != null">
        sqskjzgbmxxdwgkfb = #{sqskjzgbmxxdwgkfb,jdbcType=VARCHAR},
      </if>
      <if test="sqskjzgbmxxdwgkfbValue != null">
        sqskjzgbmxxdwgkfb_value = #{sqskjzgbmxxdwgkfbValue,jdbcType=VARCHAR},
      </if>
      <if test="jsfzr != null">
        jsfzr = #{jsfzr,jdbcType=VARCHAR},
      </if>
      <if test="jsfsj != null">
        jsfsj = #{jsfsj,jdbcType=VARCHAR},
      </if>
      <if test="xqmc != null">
        xqmc = #{xqmc,jdbcType=VARCHAR},
      </if>
      <if test="xqbl != null">
        xqbl = #{xqbl,jdbcType=INTEGER},
      </if>
      <if test="jsxqlx != null">
        jsxqlx = #{jsxqlx,jdbcType=VARCHAR},
      </if>
      <if test="xqly != null">
        xqly = #{xqly,jdbcType=VARCHAR},
      </if>
      <if test="mqcpjsxz != null">
        mqcpjsxz = #{mqcpjsxz,jdbcType=VARCHAR},
      </if>
      <if test="yfnd != null">
        yfnd = #{yfnd,jdbcType=VARCHAR},
      </if>
      <if test="yqdddxg != null">
        yqdddxg = #{yqdddxg,jdbcType=VARCHAR},
      </if>
      <if test="yjzkdgz != null">
        yjzkdgz = #{yjzkdgz,jdbcType=VARCHAR},
      </if>
      <if test="xyyftjqk != null">
        xyyftjqk = #{xyyftjqk,jdbcType=VARCHAR},
      </if>
      <if test="mqhzdxqk != null">
        mqhzdxqk = #{mqhzdxqk,jdbcType=VARCHAR},
      </if>
      <if test="sfyxybhzxq != null">
        sfyxybhzxq = #{sfyxybhzxq,jdbcType=INTEGER},
      </if>
      <if test="yxhzdx != null">
        yxhzdx = #{yxhzdx,jdbcType=INTEGER},
      </if>
      <if test="yxhzdxValue != null">
        yxhzdx_value = #{yxhzdxValue,jdbcType=VARCHAR},
      </if>
      <if test="ncqdhzfs != null">
        ncqdhzfs = #{ncqdhzfs,jdbcType=INTEGER},
      </if>
      <if test="ncqdhzfsValue != null">
        ncqdhzfs_value = #{ncqdhzfsValue,jdbcType=VARCHAR},
      </if>
      <if test="xqjjjzsj != null">
        xqjjjzsj = #{xqjjjzsj,jdbcType=VARCHAR},
      </if>
      <if test="wjjjsntntgdhzzj != null">
        wjjjsntntgdhzzj = #{wjjjsntntgdhzzj,jdbcType=VARCHAR},
      </if>
      <if test="zjyt != null">
        zjyt = #{zjyt,jdbcType=VARCHAR},
      </if>
      <if test="zjqk != null">
        zjqk = #{zjqk,jdbcType=VARCHAR},
      </if>
      <if test="xqjjfs != null">
        xqjjfs = #{xqjjfs,jdbcType=INTEGER},
      </if>
      <if test="xqjjfsValue != null">
        xqjjfs_value = #{xqjjfsValue,jdbcType=VARCHAR},
      </if>
      <if test="sfxwgw != null">
        sfxwgw = #{sfxwgw,jdbcType=VARCHAR},
      </if>
      <if test="sfyxck != null">
        sfyxck = #{sfyxck,jdbcType=VARCHAR},
      </if>
      <if test="qyyzkdgjqykjcxhzqk != null">
        qyyzkdgjqykjcxhzqk = #{qyyzkdgjqykjcxhzqk,jdbcType=VARCHAR},
      </if>
      <if test="zyhzfs != null">
        zyhzfs = #{zyhzfs,jdbcType=VARCHAR},
      </if>
      <if test="zyhzfsValue != null">
        zyhzfs_value = #{zyhzfsValue,jdbcType=VARCHAR},
      </if>
      <if test="createTime != null">
        create_time = #{createTime,jdbcType=TIMESTAMP},
      </if>
      <if test="aid != null">
        aid = #{aid,jdbcType=VARCHAR},
      </if>
    </set>
    where id = #{id,jdbcType=INTEGER}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.goafanti.common.model.DemandCollection">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
      This element was generated on Thu Jul 23 09:20:14 CST 2020.
    -->
    update demand_collection
    set dwmc = #{dwmc,jdbcType=VARCHAR},
      dwxz = #{dwxz,jdbcType=INTEGER},
      dwxz_value = #{dwxzValue,jdbcType=VARCHAR},
      htly = #{htly,jdbcType=VARCHAR},
      ssszp = #{ssszp,jdbcType=INTEGER},
      ssszc = #{ssszc,jdbcType=INTEGER},
      sssza = #{sssza,jdbcType=INTEGER},
      ssyq = #{ssyq,jdbcType=VARCHAR},
      yysjjyspt = #{yysjjyspt,jdbcType=INTEGER},
      yysjjyspt_value = #{yysjjysptValue,jdbcType=VARCHAR},
      frdb = #{frdb,jdbcType=VARCHAR},
      tyshxydm = #{tyshxydm,jdbcType=VARCHAR},
      jjgm = #{jjgm,jdbcType=VARCHAR},
      rygm = #{rygm,jdbcType=VARCHAR},
      clsj = #{clsj,jdbcType=VARCHAR},
      zczb = #{zczb,jdbcType=VARCHAR},
      txdz = #{txdz,jdbcType=VARCHAR},
      yb = #{yb,jdbcType=VARCHAR},
      lxr = #{lxr,jdbcType=VARCHAR},
      lxdh = #{lxdh,jdbcType=VARCHAR},
      email = #{email,jdbcType=VARCHAR},
      zyywjhxcp = #{zyywjhxcp,jdbcType=VARCHAR},
      ndxmzyywsr18 = #{ndxmzyywsr18,jdbcType=DECIMAL},
      ndxmjlr18 = #{ndxmjlr18,jdbcType=DECIMAL},
      ndxmzyywsr19 = #{ndxmzyywsr19,jdbcType=DECIMAL},
      ndxmjlr19 = #{ndxmjlr19,jdbcType=DECIMAL},
      ndyftr = #{ndyftr,jdbcType=INTEGER},
      ndyftrzyysrbl = #{ndyftrzyysrbl,jdbcType=INTEGER},
      sfchyhdk = #{sfchyhdk,jdbcType=INTEGER},
      sfchyhdk_value = #{sfchyhdkValue,jdbcType=VARCHAR},
      sfwgxjsqy = #{sfwgxjsqy,jdbcType=INTEGER},
      sfwgxjsqy_value = #{sfwgxjsqyValue,jdbcType=VARCHAR},
      sfwkjxzxqy = #{sfwkjxzxqy,jdbcType=INTEGER},
      sfwkjxzxqy_value = #{sfwkjxzxqyValue,jdbcType=VARCHAR},
      zlsl = #{zlsl,jdbcType=INTEGER},
      zlsl_fmzl = #{zlslFmzl,jdbcType=INTEGER},
      zlsl_syxx = #{zlslSyxx,jdbcType=INTEGER},
      sfchkjzxzj = #{sfchkjzxzj,jdbcType=INTEGER},
      sfycxyz = #{sfycxyz,jdbcType=INTEGER},
      sfycxyz_value = #{sfycxyzValue,jdbcType=VARCHAR},
      sfyhjgtzztz = #{sfyhjgtzztz,jdbcType=VARCHAR},
      sfyhjgtzztz_value = #{sfyhjgtzztzValue,jdbcType=VARCHAR},
      cgmc = #{cgmc,jdbcType=VARCHAR},
      cgly = #{cgly,jdbcType=INTEGER},
      cgsx = #{cgsx,jdbcType=VARCHAR},
      cgtxxs = #{cgtxxs,jdbcType=INTEGER},
      cgtxxs_value = #{cgtxxsValue,jdbcType=VARCHAR},
      cgcsd = #{cgcsd,jdbcType=INTEGER},
      cgzscqxs = #{cgzscqxs,jdbcType=INTEGER},
      zscqqs = #{zscqqs,jdbcType=INTEGER},
      zlzt = #{zlzt,jdbcType=INTEGER},
      cgdjqk = #{cgdjqk,jdbcType=INTEGER},
      cgdjqk_value = #{cgdjqkValue,jdbcType=VARCHAR},
      ncqcgzyzhfszzzh = #{ncqcgzyzhfszzzh,jdbcType=VARCHAR},
      ncqcgzyzhfshzkf = #{ncqcgzyzhfshzkf,jdbcType=VARCHAR},
      ncqcgzyzhfsjszr = #{ncqcgzyzhfsjszr,jdbcType=VARCHAR},
      yjkzyzhsj = #{yjkzyzhsj,jdbcType=INTEGER},
      cgjs = #{cgjs,jdbcType=VARCHAR},
      sfycghzxq = #{sfycghzxq,jdbcType=INTEGER},
      sfyyxhzdw = #{sfyyxhzdw,jdbcType=INTEGER},
      sfyyxhzdw_value = #{sfyyxhzdwValue,jdbcType=VARCHAR},
      yxhzfs = #{yxhzfs,jdbcType=INTEGER},
      yxhzfs_value = #{yxhzfsValue,jdbcType=VARCHAR},
      yssdkjzc = #{yssdkjzc,jdbcType=INTEGER},
      yssdkjzc_value = #{yssdkjzcValue,jdbcType=VARCHAR},
      nsqdsjxm = #{nsqdsjxm,jdbcType=INTEGER},
      nsqdsjxm_value = #{nsqdsjxmValue,jdbcType=VARCHAR},
      sqskjzgbmxxdwgkfb = #{sqskjzgbmxxdwgkfb,jdbcType=VARCHAR},
      sqskjzgbmxxdwgkfb_value = #{sqskjzgbmxxdwgkfbValue,jdbcType=VARCHAR},
      jsfzr = #{jsfzr,jdbcType=VARCHAR},
      jsfsj = #{jsfsj,jdbcType=VARCHAR},
      xqmc = #{xqmc,jdbcType=VARCHAR},
      xqbl = #{xqbl,jdbcType=INTEGER},
      jsxqlx = #{jsxqlx,jdbcType=VARCHAR},
      xqly = #{xqly,jdbcType=VARCHAR},
      mqcpjsxz = #{mqcpjsxz,jdbcType=VARCHAR},
      yfnd = #{yfnd,jdbcType=VARCHAR},
      yqdddxg = #{yqdddxg,jdbcType=VARCHAR},
      yjzkdgz = #{yjzkdgz,jdbcType=VARCHAR},
      xyyftjqk = #{xyyftjqk,jdbcType=VARCHAR},
      mqhzdxqk = #{mqhzdxqk,jdbcType=VARCHAR},
      sfyxybhzxq = #{sfyxybhzxq,jdbcType=INTEGER},
      yxhzdx = #{yxhzdx,jdbcType=INTEGER},
      yxhzdx_value = #{yxhzdxValue,jdbcType=VARCHAR},
      ncqdhzfs = #{ncqdhzfs,jdbcType=INTEGER},
      ncqdhzfs_value = #{ncqdhzfsValue,jdbcType=VARCHAR},
      xqjjjzsj = #{xqjjjzsj,jdbcType=VARCHAR},
      wjjjsntntgdhzzj = #{wjjjsntntgdhzzj,jdbcType=VARCHAR},
      zjyt = #{zjyt,jdbcType=VARCHAR},
      zjqk = #{zjqk,jdbcType=VARCHAR},
      xqjjfs = #{xqjjfs,jdbcType=INTEGER},
      xqjjfs_value = #{xqjjfsValue,jdbcType=VARCHAR},
      sfxwgw = #{sfxwgw,jdbcType=VARCHAR},
      sfyxck = #{sfyxck,jdbcType=VARCHAR},
      qyyzkdgjqykjcxhzqk = #{qyyzkdgjqykjcxhzqk,jdbcType=VARCHAR},
      zyhzfs = #{zyhzfs,jdbcType=VARCHAR},
      zyhzfs_value = #{zyhzfsValue,jdbcType=VARCHAR},
      create_time = #{createTime,jdbcType=TIMESTAMP},
      aid = #{aid,jdbcType=VARCHAR}
    where id = #{id,jdbcType=INTEGER}
  </update>
   
  <select id="findDemandCollectionList" resultType="com.goafanti.demandCollection.bo.OutDemandCollection">
	  select a.id,dwmc,dwxz,dwxz_value dwxzValue ,htly,b.name ssszp,c.name ssszc,d.name sssza,ssyq,yysjjyspt,yysjjyspt_value yysjjysptValue,
	  frdb,tyshxydm,jjgm,rygm,zczb,txdz,yb,lxr,lxdh,email,zyywjhxcp,ndxmzyywsr18,ndxmjlr18,ndxmzyywsr19,ndxmjlr19,ndyftr,
	  ndyftrzyysrbl,sfchyhdk,sfchyhdk_value sfchyhdkValue,sfwgxjsqy,sfwgxjsqy_value sfwgxjsqyValue,sfwkjxzxqy,sfwkjxzxqy_value sfwkjxzxqyValue,
	  zlsl,zlsl_fmzl zlslFmzl,zlsl_syxx zlslSyxx,sfchkjzxzj,sfycxyz,sfycxyz_value sfycxyzValue,sfyhjgtzztz,nsqdsjxm_value nsqdsjxmValue,
	  sfyhjgtzztz_value sfyhjgtzztzValue,cgmc,cgly,cgsx,cgtxxs,cgtxxs_value cgtxxsValue,cgcsd,cgzscqxs,zscqqs,zlzt,cgdjqk,
	  cgdjqk_value cgdjqkValue,ncqcgzyzhfszzzh,ncqcgzyzhfshzkf,ncqcgzyzhfsjszr, yjkzyzhsj,cgjs,sfycghzxq,sfyyxhzdw,clsj,zyhzfs_value zyhzfsValue,
	  sfyyxhzdw_value sfyyxhzdwValue,yxhzfs,yxhzfs_value yxhzfsValue,yssdkjzc,yssdkjzc_value yssdkjzcValue,nsqdsjxm,sfxwgw,sfyxck,
	  sqskjzgbmxxdwgkfb,jsfzr,jsfsj,xqmc,xqbl,jsxqlx,xqly, mqcpjsxz,yfnd,yqdddxg,yjzkdgz,xyyftjqk,mqhzdxqk,zyhzfs,qyyzkdgjqykjcxhzqk,
	  sfyxybhzxq,yxhzdx,yxhzdx_value yxhzdxValue,ncqdhzfs,ncqdhzfs_value ncqdhzfsValue, xqjjjzsj,wjjjsntntgdhzzj,zjyt,zjqk,
	  xqjjfs,xqjjfs_value xqjjfsValue,sqskjzgbmxxdwgkfb_value sqskjzgbmxxdwgkfbValue,date_format(create_time,'%Y-%m-%d %H:%i:%S') createTime
	from demand_collection a left join district_glossory b on a.ssszp=b.id left join district_glossory c on a.ssszc=c.id
	left join district_glossory d on a.sssza=d.id where 1=1
	<if test="aid !=null ">
	and aid = #{aid}
	</if>
	<if test="region !=null ">
	and a.ssszc = #{region}
	</if>
	<if test="dwxz !=null ">
	and dwxz = #{dwxz}
	</if>
	<if test="rygm == 0 ">
	and rygm between 0 and 50
	</if>
	<if test="rygm == 1 ">
	and rygm between 51 and 100
	</if>
	<if test="rygm == 2 ">
	and rygm > 101 
	</if>
	<if test="jjgm == 0 ">
	and jjgm between 0 and 300
	</if>
	<if test="jjgm == 1 ">
	and jjgm between 301 and 500
	</if>
	<if test="jjgm == 2 ">
	and jjgm between 501 and 1000
	</if>
	<if test="jjgm == 3 ">
	and jjgm > 1001
	</if>
	<if test="yypt !=null ">
	and yysjjyspt = #{yypt}
	</if>
	<if test="htly !=null ">
	and htly = #{htly}
	</if>
	<if test="dwmc !=null ">
	and dwmc like concat('%',#{dwmc},'%')
	</if>
	<if test="dwxz !=null ">
	and dwxz = #{dwxz}
	</if>
	<if test="ssszp !=null">
	and a.ssszp= #{ssszp}
	</if>
	<if test="ssszc != null">
	and a.ssszc= #{ssszc}
	</if>
	<if test="sssza != null">
	and a.sssza= #{sssza}
	</if>
	<if test="startTime !=null and endTime !=null">
	and a.create_time between #{startTime} and #{endTime}
	</if>
	<if test="page_sql!=null">
		${page_sql}
	</if> 
  </select>
  <select id="findDemandCollectionCount" resultType="java.lang.Integer">
	  select count(*)
	from demand_collection a left join district_glossory b on a.ssszp=b.id 
	left join district_glossory c on a.ssszc=c.id
	where 1=1
	<if test="aid !=null ">
	and aid = #{aid}
	</if>
	<if test="region !=null ">
	and a.ssszc = #{region}
	</if>
	<if test="dwxz !=null ">
	and dwxz = #{dwxz}
	</if>
	<if test="yypt !=null ">
	and yysjjyspt = #{yypt}
	</if>
	<if test="htly !=null ">
	and htly = #{htly}
	</if>
	<if test="rygm == 0 ">
	and rygm between 0 and 50
	</if>
	<if test="rygm == 1 ">
	and rygm between 51 and 100
	</if>
	<if test="rygm == 2 ">
	and rygm > 101 
	</if>
	<if test="jjgm == 0 ">
	and jjgm between 0 and 300
	</if>
	<if test="jjgm == 1 ">
	and jjgm between 301 and 500
	</if>
	<if test="jjgm == 2 ">
	and jjgm between 501 and 1000
	</if>
	<if test="jjgm == 3 ">
	and jjgm > 1001
	</if>
	<if test="dwmc !=null ">
	and dwmc like concat('%',#{dwmc},'%')
	</if>
	<if test="dwxz !=null ">
	and dwxz = #{dwxz}
	</if>
	<if test="ssszp !=null">
	and a.ssszp= #{ssszp}
	</if>
	<if test="ssszc != null">
	and a.ssszc= #{ssszc}
	</if>
	<if test="sssza != null">
	and a.sssza= #{sssza}
	</if>
	<if test="startTime !=null and endTime !=null">
	and a.create_time between #{startTime} and #{endTime}
	</if>
  </select>
  
  
  
  <select id="findUserList" resultType="com.goafanti.demandCollection.bo.OutUserList">
	select id,account,password,nickname,email,`number`,region,
	date_format(create_time,'%Y-%m-%d %H:%i:%S') createTimes
	from skjt_user where 1=1
	<if test="account != null">
	and account like concat('%',#{account},'%')
	</if>
	<if test="name != null">
	and nickname like concat('%',#{name},'%')
	</if>
	<if test="page_sql!=null">
		${page_sql}
	</if> 
  </select>
  
  <select id="findUserCount" resultType="java.lang.Integer">
	select count(*)
	from skjt_user where 1=1
	<if test="account != null">
	and account like concat('%',#{account},'%')
	</if>
	<if test="name != null">
	and nickname like concat('%',#{name},'%')
	</if>
  </select>
</mapper>